in vec2 texCoord;
out vec4 fragColor;

uniform sampler2D textureSampler;

void main()
{
    vec2 textureCoords = vec2(texCoord.x, 1.0 - texCoord.y);
    fragColor = texture(textureSampler, textureCoords);
}
